Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.undo
Class UndoItem<T extends KeyedEntity<T>>

    java.lang.Object
      net.sf.borg.model.undo.UndoItem<T>

Direct Known Subclasses:
  AddressUndoItem, AppointmentUndoItem, MemoUndoItem, ProjectUndoItem, SubtaskUndoItem, TaskUndoItem

    public abstract class UndoItem<T extends KeyedEntity<T>>

extends Object

Abstract base class for holding a single item of work that can be undone.

Nested Class Summary
`protected static class` | `UndoItem.actionType` actions that can be applied to an item that need to be undone

Field Summary
`protected UndoItem.actionType` | `action` The action that was taken.
`protected T` | `item` the KeyedEntity that can be undone

Constructor Summary
`UndoItem()`

Method Summary
`abstract void` | `executeUndo()` execute the undo action on the item.
`String` | `getDescription()` Gets the undo item description.
`void` | `setDescription(String description)` Sets the undo item description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected UndoItem.actionType action

  The action that was taken.

### item

    protected T extends KeyedEntity<T> item

  the KeyedEntity that can be undone

Constructor Detail

### UndoItem

    public UndoItem()

Method Detail

### executeUndo

    public abstract void executeUndo()

  execute the undo action on the item.

### setDescription

    public void setDescription(String description)

  Sets the undo item description.

  Parameters:
    `description` - the new description

### getDescription

    public String getDescription()

  Gets the undo item description.

  Returns:
    the description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic